Supervisor XML-RPC Authenticated Remote Code Execution

This Metasploit module exploits a vulnerability in the Supervisor process control software, where an authenticated client can send a malicious XML-RPC request to supervisord that will run arbitrary shell commands on the server. The commands will be run as the same user as supervisord. Depending on how supervisord has been configured, this may be root. This vulnerability can only be exploited by an authenticated client, or if supervisord has been configured to run an HTTP server without authentication. This vulnerability affects versions 3.0a1 to 3.3.2.
Source: Supervisor XML-RPC Authenticated Remote Code Execution

The post Supervisor XML-RPC Authenticated Remote Code Execution appeared first on MondoUnix.